Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.tsp
Class Accuracy

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.tsp.Accuracy

All Implemented Interfaces:
  DEREncodable

public class Accuracy
extends ASN1Encodable

Field Summary
`protected static int` | `MAX_MICROS`
`protected static int` | `MAX_MILLIS`
`protected static int` | `MIN_MICROS`
`protected static int` | `MIN_MILLIS`

Constructor Summary
`protected` | `Accuracy()`
`` | `Accuracy(ASN1Sequence seq)`
`` | `Accuracy(DERInteger seconds, DERInteger millis, DERInteger micros)`

Method Summary
`static Accuracy` | `getInstance(java.lang.Object o)`
`DERInteger` | `getMicros()`
`DERInteger` | `getMillis()`
`DERInteger` | `getSeconds()`
`DERObject` | `toASN1Object()` Accuracy ::= SEQUENCE { seconds INTEGER OPTIONAL, millis [0] INTEGER (1..999) OPTIONAL, micros [1] INTEGER (1..999) OPTIONAL }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MIN_MILLIS

    protected static final int MIN_MILLIS

See Also:
  Constant Field Values

### MAX_MILLIS

    protected static final int MAX_MILLIS

See Also:
  Constant Field Values

### MIN_MICROS

    protected static final int MIN_MICROS

See Also:
  Constant Field Values

### MAX_MICROS

    protected static final int MAX_MICROS

See Also:
  Constant Field Values

Constructor Detail

### Accuracy

    protected Accuracy()

### Accuracy

    public Accuracy(DERInteger seconds,
                    DERInteger millis,
                    DERInteger micros)

### Accuracy

    public Accuracy(ASN1Sequence seq)

Method Detail

### getInstance

    public static Accuracy getInstance(java.lang.Object o)

### getSeconds

    public DERInteger getSeconds()

### getMillis

    public DERInteger getMillis()

### getMicros

    public DERInteger getMicros()

### toASN1Object

    public DERObject toASN1Object()

       Accuracy ::= SEQUENCE {
                   seconds        INTEGER              OPTIONAL,
                   millis     [0] INTEGER  (1..999)    OPTIONAL,
                   micros     [1] INTEGER  (1..999)    OPTIONAL
                   }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD